CreateRemoteFile
curl --request POST \
--url https://api.siftstack.com/api/v1/remote-files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"fileSize": "<string>",
"description": "<string>",
"organizationId": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"customUuid": "<string>",
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/remote-files"
payload = {
"fileName": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"fileSize": "<string>",
"description": "<string>",
"organizationId": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"customUuid": "<string>",
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/remote-files"
payload := strings.NewReader("{\n \"fileName\": \"<string>\",\n \"entityId\": \"<string>\",\n \"entityType\": \"ENTITY_TYPE_UNSPECIFIED\",\n \"fileMimeType\": \"<string>\",\n \"fileContentEncoding\": \"<string>\",\n \"fileSize\": \"<string>\",\n \"description\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"videoMetadata\": {\n \"height\": 123,\n \"width\": 123,\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"imageMetadata\": {\n \"height\": 123,\n \"width\": 123\n },\n \"audioMetadata\": {\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"customUuid\": \"<string>\",\n \"metadataValues\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}RemoteFileService
CreateRemoteFile
Create a remote file.
POST
/
api
/
v1
/
remote-files
CreateRemoteFile
curl --request POST \
--url https://api.siftstack.com/api/v1/remote-files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"fileSize": "<string>",
"description": "<string>",
"organizationId": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"customUuid": "<string>",
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/remote-files"
payload = {
"fileName": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"fileSize": "<string>",
"description": "<string>",
"organizationId": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"customUuid": "<string>",
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/remote-files"
payload := strings.NewReader("{\n \"fileName\": \"<string>\",\n \"entityId\": \"<string>\",\n \"entityType\": \"ENTITY_TYPE_UNSPECIFIED\",\n \"fileMimeType\": \"<string>\",\n \"fileContentEncoding\": \"<string>\",\n \"fileSize\": \"<string>\",\n \"description\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"videoMetadata\": {\n \"height\": 123,\n \"width\": 123,\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"imageMetadata\": {\n \"height\": 123,\n \"width\": 123\n },\n \"audioMetadata\": {\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"customUuid\": \"<string>\",\n \"metadataValues\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request for a call to RemoteFileService_CreateRemoteFile to create a remote file.
The request for a call to RemoteFileService_CreateRemoteFile to create a remote file.
- ENTITY_TYPE_CANVAS_CELL_EXECUTION_ATTACHMENT: UI evidence files attached to a cell execution on a canvas report.
- ENTITY_TYPE_CANVAS_CELL_EXECUTION_OUTPUT: Reserved for a future cell-output upload path (not used by the report attachment UI).
Available options:
ENTITY_TYPE_UNSPECIFIED, ENTITY_TYPE_RUN, ENTITY_TYPE_ANNOTATION, ENTITY_TYPE_ASSET, ENTITY_TYPE_ANNOTATION_LOG, ENTITY_TYPE_TEST_REPORT, ENTITY_TYPE_TEST_STEP, ENTITY_TYPE_CANVAS_VERSION, ENTITY_TYPE_CANVAS_CELL_EXECUTION_ATTACHMENT, ENTITY_TYPE_CANVAS_CELL_EXECUTION_OUTPUT This field is only required if your user belongs to multiple organizations.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A custom UUID used to generate the object key. Recommended to be left unset.
The metadata values associated with this remote file.
Show child attributes
Show child attributes
Response
A successful response.
The response for a call to RemoteFileService_CreateRemoteFile.
Show child attributes
Show child attributes
Was this page helpful?
⌘I